Bulk save entity attribute values by entity name and attribute name
curl --request PUT \
--url https://app.herondata.io/api/end_users/{end_user_heron_id}/entities/values/bulk \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"values": [
{
"attribute_name": "<string>",
"entity_name": "<string>",
"value": "<unknown>"
}
]
}
'import requests
url = "https://app.herondata.io/api/end_users/{end_user_heron_id}/entities/values/bulk"
payload = { "values": [
{
"attribute_name": "<string>",
"entity_name": "<string>",
"value": "<unknown>"
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
values: [{attribute_name: '<string>', entity_name: '<string>', value: '<unknown>'}]
})
};
fetch('https://app.herondata.io/api/end_users/{end_user_heron_id}/entities/values/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"attribute_name": "<string>",
"entity_name": "<string>",
"success": true,
"error": "<string>"
}
]EndUserEntity
Bulk save entity attribute values by entity name and attribute name
Save multiple entity attribute values in a single request. Each item specifies the entity name, attribute name, and value to set. If an API source doesn’t exist for an attribute, one will be created.
PUT
/
api
/
end_users
/
{end_user_heron_id}
/
entities
/
values
/
bulk
Bulk save entity attribute values by entity name and attribute name
Authorizations
Path Parameters
The Heron ID of the end user
Body
application/json
List of entity attribute values to save
Show child attributes
Show child attributes
Was this page helpful?
Get the materialised end user entities for an end userUpsert the attribute value for an end user entity attribute source
⌘I